package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Subscription_type;
import com.realnet.basicp1.Services.Subscription_typeService ;


@RequestMapping(value = "/Subscription_type")
 @CrossOrigin("*") 
@RestController
public class Subscription_typeController {
	@Autowired
	private Subscription_typeService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Subscription_type")
		  public Subscription_type Savedata(@RequestBody Subscription_type data) {
		Subscription_type save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Subscription_type/{id}")
	public  Subscription_type update(@RequestBody Subscription_type data,@PathVariable Integer id ) {
		Subscription_type update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Subscription_type/getall/page")
	public Page<Subscription_type> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Subscription_type> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Subscription_type")
	public List<Subscription_type> getdetails() {
		 List<Subscription_type> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Subscription_type")
	public List<Subscription_type> getallwioutsec() {
		 List<Subscription_type> get = Service.getdetails();		
		return get;
}
@GetMapping("/Subscription_type/{id}")
	public  Subscription_type  getdetailsbyId(@PathVariable Integer id ) {
		Subscription_type  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Subscription_type/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}